summaryrefslogtreecommitdiffstats
path: root/source/a/pkgtools
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-01-13 00:11:55 +0000
committer Eric Hameleers <alien@slackware.com>2020-01-13 08:59:48 +0100
commitba4217f7183fb76ae1774062c06ae5d77cc1b2f7 (patch)
tree640c8f162254a4b20617d19329f8549ae757443b /source/a/pkgtools
parented2eb16b1115533f646c6a631c2576f139096e6d (diff)
downloadcurrent-ba4217f7183fb76ae1774062c06ae5d77cc1b2f7.tar.gz
current-ba4217f7183fb76ae1774062c06ae5d77cc1b2f7.tar.xz
Mon Jan 13 00:11:55 UTC 202020200113001155
a/elvis-2.2_0-x86_64-5.txz: Rebuilt. Don't make /usr/bin/{ex,vi} symlinks. a/kernel-generic-5.4.11-x86_64-1.txz: Upgraded. a/kernel-huge-5.4.11-x86_64-1.txz: Upgraded. a/kernel-modules-5.4.11-x86_64-1.txz: Upgraded. a/nvi-1.81.6-x86_64-1.txz: Added. This is an implementation of the classic ex/vi text editor written by Keith Bostic. Due to this having UTF8 support which elvis lacks, we'll have it take over the ex/vi symlinks if they aren't already pointing to a different choice. Note that the removal of vi/ex symlinks from the elvis and vim packages might cause your ex/vi symlinks to point to this after all the ex/vi packages have been upgraded. You can set them to your preferences using pkgtool -> Setup -> vi-ex. a/pkgtools-15.0-noarch-29.txz: Rebuilt. Added an installer/pkgtool menu to select the default ex/vi editor. ap/vim-8.2.0114-x86_64-1.txz: Upgraded. Don't make /usr/bin/{ex,vi} symlinks. d/kernel-headers-5.4.11-x86-1.txz: Upgraded. d/python-setuptools-45.0.0-x86_64-1.txz: Upgraded. k/kernel-source-5.4.11-noarch-1.txz: Upgraded. l/imagemagick-7.0.9_15-x86_64-1.txz: Upgraded. n/ethtool-5.4-x86_64-1.txz: Upgraded. xap/vim-gvim-8.2.0114-x86_64-1.txz: Upgraded. isolinux/initrd.img: Rebuilt. kernels/*: Upgraded. usb-and-pxe-installers/usbboot.img: Rebuilt.
Diffstat (limited to 'source/a/pkgtools')
-rwxr-xr-xsource/a/pkgtools/pkgtools.SlackBuild2
-rw-r--r--source/a/pkgtools/scripts/setup.vi-ex31
2 files changed, 32 insertions, 1 deletions
diff --git a/source/a/pkgtools/pkgtools.SlackBuild b/source/a/pkgtools/pkgtools.SlackBuild
index 3c9617cb0..8c7d9b60a 100755
--- a/source/a/pkgtools/pkgtools.SlackBuild
+++ b/source/a/pkgtools/pkgtools.SlackBuild
@@ -30,7 +30,7 @@ PKGNAM=pkgtools
# *** UPDATE THESE WITH EACH BUILD:
VERSION=15.0
ARCH=${ARCH:-noarch}
-BUILD=${BUILD:-28}
+BUILD=${BUILD:-29}
# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
# the name of the created package would be, and then exit. This information
diff --git a/source/a/pkgtools/scripts/setup.vi-ex b/source/a/pkgtools/scripts/setup.vi-ex
new file mode 100644
index 000000000..f58c15e0c
--- /dev/null
+++ b/source/a/pkgtools/scripts/setup.vi-ex
@@ -0,0 +1,31 @@
+#!/bin/sh
+#BLURB="Configure the ex/vi symlinks."
+T_PX=$1
+TMP=/var/log/setup/tmp
+rm -f $TMP/exvitype
+dialog --title "CHOOSE DEFAULT EX/VI EDITOR" --default-item "nvi" --menu \
+"This part of the configuration \
+process will create ex and vi symlinks in /usr/bin pointing to your default \
+ex/vi editors. On a fresh installation, these will point to nvi by default, \
+as it is lightweight and supports UTF8. You may choose a different default \
+if you prefer, but please note that elvis does not support UTF8." 14 76 3 \
+"elvis" "Slackware's traditional ex/vi, no UTF8 support" \
+"nvi" "Classic BSD ex/vi, supports UTF8" \
+"vim" "VI Improved - top rated ex/vi clone, supports UTF8" \
+2> $TMP/exvitype
+if [ ! $? = 0 ]; then
+ rm -f $TMP/exvitype
+ exit
+fi
+if [ -f $TMP/exvitype ]; then
+ DEFAULT_VI=$(cat $TMP/exvitype)
+else
+ exit 0
+fi
+if [ "$DEFAULT_VI" = "elvis" ]; then
+ ( cd $T_PX/usr/bin ; rm -f ex vi ; ln -sf elvis ex ; ln -sf elvis vi )
+elif [ "$DEFAULT_VI" = "nvi" ]; then
+ ( cd $T_PX/usr/bin ; rm -f ex vi ; ln -sf nex ex ; ln -sf nvi vi )
+elif [ "$DEFAULT_VI" = "vim" ]; then
+ ( cd $T_PX/usr/bin ; rm -f ex vi ; ln -sf vim ex ; ln -sf vim vi )
+fi